Create a new Pipeline
POST
https://api.neuroscale.io/v2.0/pipelines
Please Note this endpoint is only available to certain Users.
To create a new Pipeline send a JSON-encoded object containing initial values for the following attributes (attributes shown in bold are required):
| Name | Type | Description |
|---|---|---|
| description | String | Description of the Pipeline. |
| metadata | Object / Hash | Configuration of the Pipeline's input nodes and output nodes. See Understanding Instance Metadata and the NeuroScale Message Format for more information. |
| name | String | Name of the Pipeline. |
| parameters | Object / Hash | Object of key-value pairs defining user-adjustable Pipeline parameters and their default values. |
| properties | Object / Hash | User-editable object of key-value pairs that can be used to add arbitrary tags to the Pipeline (for personal use). |
| type | String | Signals weather the Pipeline will stream its input and output data or weather the Pipeline is to be used in batch processing. The choices for the attributes are "stream" or "batch" |
| patch | Object / Hash | The patch definition of the Pipeline exported from Neuropype |
Authentication¶
Type: Access token
Required scopes: pipeline or create:pipeline
Responses¶
Example response — 201¶
{
"created_at": 1468592041,
"description": "Description of Pipeline",
"id": "pl_xTg7suuqGzFCGcnmb6Xx7f",
"metadata": {
"nodes": {
"in": [],
"out": []
}
},
"name": "My Pipeline",
"object": "pipeline",
"owner": "usr_ZTNc2sEjoq6JoEgPNFUg6g",
"parameters": {},
"properties": {},
"updated_at": 1468592041
}